<?php
// Copyright (C) 2008 - 2019 Small Green Computer, LLC
//

require_once 'libs/setup.php';
$lamopt = "/etc/vortexbox/lameopt.txt";
$numthreads = "/etc/vortexbox/numthreads.txt";

$_action = isset($_REQUEST['action']) ? $_REQUEST['action'] : 'default';

if (file_exists($lamopt)) {
	$lamoptraw = file($lamopt);
	$MP3QUALITY = trim($lamoptraw[0]);
} else {
	$MP3QUALITY = "-V2";
	if ($fp = fopen($lamopt, 'w')) {
		fwrite($fp, $MP3QUALITY);
		fclose($fp);
	} else {
		echo 'Config file unwritable... '; 
	}	
}

if (file_exists($numthreads)) {
	$numthreadsraw = file($numthreads);
	$THREADCOUNT = trim($numthreadsraw[0]);
} else {
	$THREADCOUNT = "--processes=1";
	if ($fp = fopen($numthreads, 'w')) {
		fwrite($fp, $THREADCOUNT);
		fclose($fp);
	} else {
		echo 'Config file unwritable... '; 
	}	
}

switch($_action) {
	case 'StartMirror':
		exec("sudo /opt/vortexbox/doaction.sh StartMirror & >/dev/null 2>&1");
        break;

	case 'StopMirror':
		exec("sudo /opt/vortexbox/doaction.sh StopMirror & >/dev/null 2>&1");
        break;

	case 'DelMirror':
		exec("sudo /opt/vortexbox/doaction.sh DelMirror & >/dev/null 2>&1");
        break;

	case 'ClearMirrorLog':
		exec("sudo /opt/vortexbox/doaction.sh ClearMirrorLog & >/dev/null 2>&1");
        break;
	
	case 'StartMP4Mirror':
		exec("sudo /opt/vortexbox/doaction.sh StartMP4Mirror & >/dev/null 2>&1");
        break;
		
	case 'submit':
	if (isset($_REQUEST['AUTOMP3'][0]) & !$_REQUEST['AUTOMP3'][0] =="") {
		exec("touch /etc/vortexbox/automp3");
	} else {
		exec("rm /etc/vortexbox/automp3");
	}
	
	if (isset($_REQUEST['AUTOAAC'][0]) & !$_REQUEST['AUTOAAC'][0] =="") {
		exec("touch /etc/vortexbox/autoaac");
	} else {
		exec("rm /etc/vortexbox/autoaac");
	}
	
	if (isset($_REQUEST['AUTOAIFF'][0]) & !$_REQUEST['AUTOAIFF'][0] =="") {
		exec("touch /etc/vortexbox/autoaiff");
	} else {
		exec("rm /etc/vortexbox/autoaiff");
	}
	
	if (isset($_REQUEST['COVERMP3'][0]) & !$_REQUEST['COVERMP3'][0] =="") {
		exec("touch /etc/vortexbox/covermp3");
	} else {
		exec("rm /etc/vortexbox/covermp3");
	}
	
	if (isset($_REQUEST['MP3QUALITY']) & !$_REQUEST['MP3QUALITY'] =="") { $MP3QUALITY = $_REQUEST['MP3QUALITY']; }
	if ($fp = fopen($lamopt, 'w')) {
		fwrite($fp, $MP3QUALITY);
		fclose($fp);
	} else {
		echo 'Config file unwritable... '; 
	}
	
	if (isset($_REQUEST['THREADCOUNT']) & !$_REQUEST['THREADCOUNT'] =="") { $THREADCOUNT = $_REQUEST['THREADCOUNT']; }
	if ($fp = fopen($numthreads, 'w')) {
		fwrite($fp, $THREADCOUNT);
		fclose($fp);
	} else {
		echo 'Config file unwritable... '; 
	}	

    default:
        break;   
}

$smarty->assign('automp3_checkbox', array(
					'automp3' => '&nbsp;'._('Enable automatic mp3 mirroring'),
                     ));

if (file_exists("/etc/vortexbox/automp3")) {
    $smarty->assign('automp3_ischecked', "automp3");
} else {
	$smarty->assign('automp3_ischecked', "no");
}

$smarty->assign('autoaac_checkbox', array(
					'autoaac' => '&nbsp;'._('Enable automatic ALAC mirroring'),
                     ));

if (file_exists("/etc/vortexbox/autoaac")) {
    $smarty->assign('autoaac_ischecked', "autoaac");
} else {
	$smarty->assign('autoaac_ischecked', "no");
}

$smarty->assign('autoaiff_checkbox', array(
					'autoaiff' => '&nbsp;'._('Enable automatic AIFF mirroring'),
                     ));

if (file_exists("/etc/vortexbox/autoaiff")) {
	$smarty->assign('autoaiff_ischecked', "autoaiff");
} else {
	$smarty->assign('autoaiff_ischecked', "no");
}

$smarty->assign('covermp3_checkbox', array(
					'covermp3' => '&nbsp;'._('Enable mp3 embedded cover art'),
                     ));

if (file_exists("/etc/vortexbox/covermp3")) {
    $smarty->assign('covermp3_ischecked', "covermp3");
} else {
	$smarty->assign('covermp3_ischecked', "no");
}


$smarty->assign('CURRENTTMP3QUALITY', $MP3QUALITY);

$smarty->assign('mp3qualitylist', array(
'-b320' => 'Insane (320Kbit/s CBR)',
'-V0' => 'Extreme (245Kbit/s VBR)',
'-V2' => 'Standard (190Kbit/s VBR)',
'-V4' => 'Medium (160Kbit/s VBR)'
));

$smarty->assign('CURRENTNUMTHREADS',$THREADCOUNT);

$smarty->assign('threadcountlist', array(
'--processes=1' => '1',
'--processes=2' => '2',
'--processes=3' => '3',
'--processes=4' => '4'
));

$smarty->display('flacmirror.tpl');

?>