{* Copyright (C) 2008 - 2019 Small Green Computer, LLC  *}
{include file="header.tpl"}

<script type="text/javascript" src="/js/ajax.js"> </script>
<script type="text/javascript" src="/js/jquery-2.1.1.min.js"></script>
<script type="text/javascript">
var auto_refresh = setInterval(
function ()
{
$('#log').load('logtail.php?action=usbbackup');
}, 1000); 
</script>

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_d">
</b><b class="xb3 color_d"></b><b class="xb4 color_d"></b></b>
<div class="xboxcontent">
<h1 class="color_d">{t}USB Backup{/t}</h1>

<div>
<button onclick='window.location = "/logview.php?action=usbbackup";'>{t}View full log{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to clear your log?{/t}","/backup.php?action=ClearUsbBackupLog");'>{t}Clear log{/t}</button>
{if $CurrentUsbDrive}
<button onclick='confirmAction("{t}Are you sure you want to backup /storage? This can take long time.{/t}","/backup.php?action=BackupStorage");'>{t}Backup to USB{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to restore from the USB drive and ADD MISSING files to /storage?{/t}","/backup.php?action=RestoreAdd");'>{t}Restore from USB{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want stop the backup or restore?{/t}","/backup.php?action=StopBackup");'>{t}Abort{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to format and DESTROY ALL DATA on your drive?{/t}","/backup.php?action=FormatDrive");'>{t}Format Drive{/t}</button>
{/if}

<p>
{$PrintString}
</p>
<br>

</form>
</div>

<div id="log" style="border:solid 0px #dddddd; width:675px;  height:550px; font-size:11px;
padding-left:10px; padding-right:10px; padding-top:10px; padding-bottom:20px;
margin-bottom:10px; text-align:left;">
Loading...
</div>

{include file="footer.tpl"}