<?php
// Copyright (C) 2008 - 2019 Small Green Computer, LLC
//

$ipaddress = getSysVar('IPaddress');

$loacation_count = 0;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('Home'), 'icon' => 'home.png', 'link' => '/');
$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'SqueezeBox Server', 'icon' => 'lms.png', 'link' => 'http://'.$ipaddress.':9000', 'newtab' => '1');
$loacation_count += 10;

// Check to see if ripit is installed
if (file_exists("/usr/bin/ripit")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'CD Ripper', 'icon' => 'cddrive.png', 'link' => '/ripstatus.php');
	$loacation_count += 10;
}	
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('FLAC Mirror'), 'icon' => 'flacmirror.png', 'link' => '/flacmirror.php');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('Network Configuration'), 'icon' => 'network.png', 'link' => '/network.php');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('System Configuration'), 'icon' => 'tools.png', 'link' => '/system.php');
$loacation_count += 10;
$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('Backup'), 'icon' => 'backup.png', 'link' => '/backup.php');

if (file_exists('/opt/supersync/supersync.jar')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Supersync Admin', 'icon' => 'supersync.png', 'link' => 'http://'.$ipaddress.':5360/admin', 'newtab' => '1');
	$loacation_count += 10;
}

if (file_exists('/usr/sbin/minidlnad')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'MiniDLNA', 'icon' => 'dlna.png', 'link' => '/minidlna.php');
}

if (file_exists('/lib/systemd/system/transmission-daemon.service')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Transmission', 'icon' => 'transmission.png', 'link' => 'http://'.$ipaddress.':9091', 'newtab' => '1');
}

if (file_exists('/usr/lib/systemd/system/plexmediaserver.service')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Plex Media Server', 'icon' => 'plex.png', 'link' => 'http://'.$ipaddress.':32400/manage', 'newtab' => '1');
	$loacation_count += 15;
}

if (file_exists("/opt/MusicMagicMixer/mm.jar")) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'MusicIP', 'icon' => 'ams.png', 'link' => 'http://'.$ipaddress.':10002', 'newtab' => '1');
}

if (file_exists('/usr/bin/subsonic')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Subsonic', 'icon' => 'subsonic.png', 'link' => 'http://'.$ipaddress.':4040', 'newtab' => '1');
}

if (file_exists('/opt/bliss/bin/bliss.sh')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Bliss', 'icon' => 'bliss.png', 'link' => 'http://'.$ipaddress.':3220', 'newtab' => '1');
}

if (file_exists('/opt/minimserver/bin/minimserver_service')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'MinimServer', 'icon' => 'minimserver.png', 'link' => '/minimserver.php');
}

if (file_exists('/opt/btsync/btsync')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'BitTorrent Sync', 'icon' => 'btsync.png', 'link' => 'http://'.$ipaddress.':8888', 'newtab' => '1');
	$loacation_count += 10;
}

// Check to see if VortexBox Player is installed
if (file_exists('/usr/bin/vortexbox-player')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Configure VortexBox Player', 'icon' => 'vortexbox-player.png', 'link' => '/vortexbox-player.php');
	$loacation_count += 15;
}

// Check to see if Squeezelite is installed
if (file_exists('/usr/bin/squeezelite')) {
	$icon_array[] = array('location' => $loacation_count += 80, 'name' => 'Configure Player', 'icon' => 'vortexbox-player.png', 'link' => '/config-player.php');
	$loacation_count += 10;
}

$icon_array[] = array('location' => $loacation_count += 80, 'name' => _('VortexBox Upgrade'), 'icon' => 'upgrade.png', 'link' => '/upgrade.php');

$smarty->assign('IconList',$icon_array);

?>