{* Copyright (C) 2008 - 2019 Small Green Computer, LLC  *}
{include file="header.tpl"}

<script type="text/javascript" src="/js/ajax.js"> </script>

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_a">
</b><b class="xb3 color_a"></b><b class="xb4 color_a"></b></b>
<div class="xboxcontent">
<h1 class="color_a">{t}Configure Player{/t}</h1>

<form action="{$SCRIPT_NAME}?action=submit" method="post">
	<div class="texttable">
	  <table>
	    <tr>
			<th>{t}Name{/t}</th>
			<th>{t}MAC address{/t}</th>
			<th>{t}Audio output device{/t}</th>
		</tr>
	  		  	<tr class="odd">
			<td><input type="text" name="NAME0" value="{if isset($NAME0)}{$NAME0}{/if}" size="25"></td>
			<td><input type="text" name="MAC0" value="{if isset($MAC0)}{$MAC0}{/if}" size="15" readonly="readonly" style="background:#D8D8D8;"></td>
			{if isset($audio_devices)}
				<td>{html_options name='DEVICENAME0' options=$audio_devices selected=$DEVICENAME0}</td>
			{else}
				<td><input type="text" name="DEVICENAME0" value="{if isset($DEVICENAME0)}{$DEVICENAME0}{/if}" size="15"></td>
			{/if}
		</tr>
	  	<tr>
			<td><input type="text" name="NAME1" value="{if isset($NAME1)}{$NAME1}{/if}" size="25"></td>
			<td><input type="text" name="MAC1" value="{if isset($MAC1)}{$MAC1}{/if}" size="15" readonly="readonly" style="background:#D8D8D8;"></td>
			{if isset($audio_devices)}
				<td>{html_options name='DEVICENAME1' options=$audio_devices selected=$DEVICENAME1}</td>
			{else}
				<td><input type="text" name="DEVICENAME1" value="{if isset($DEVICENAME1)}{$DEVICENAME1}{/if}" size="15"></td>
			{/if}
		</tr>
		<tr class="odd">
			<td><input type="text" name="NAME2" value="{if isset($NAME2)}{$NAME2}{/if}" size="25"></td>
			<td><input type="text" name="MAC2" value="{if isset($MAC2)}{$MAC2}{/if}" size="15" readonly="readonly" style="background:#D8D8D8;"></td>
			{if isset($audio_devices)}
				<td>{html_options name='DEVICENAME2' options=$audio_devices selected=$DEVICENAME2}</td>
			{else}
				<td><input type="text" name="DEVICENAME2" value="{if isset($DEVICENAME2)}{$DEVICENAME2}{/if}" size="15"></td>
			{/if}
		</tr>
	  	<tr>
			<td><input type="text" name="NAME3" value="{if isset($NAME3)}{$NAME3}{/if}" size="25"></td>
			<td><input type="text" name="MAC3" value="{if isset($MAC3)}{$MAC3}{/if}" size="15" readonly="readonly" style="background:#D8D8D8;"></td>
			{if isset($audio_devices)}
				<td>{html_options name='DEVICENAME3' options=$audio_devices selected=$DEVICENAME3}</td>
			{else}
				<td><input type="text" name="DEVICENAME3" value="{if isset($DEVICENAME3)}{$DEVICENAME3}{/if}" size="15"></td>
			{/if}
		</tr>
	  	<tr class="odd">
			<td><input type="text" name="NAME4" value="{if isset($NAME4)}{$NAME4}{/if}" size="25"></td>
			<td><input type="text" name="MAC4" value="{if isset($MAC4)}{$MAC4}{/if}" size="15" readonly="readonly" style="background:#D8D8D8;"></td>
			{if isset($audio_devices)}
				<td>{html_options name='DEVICENAME4' options=$audio_devices selected=$DEVICENAME4}</td>
			{else}
				<td><input type="text" name="DEVICENAME4" value="{if isset($DEVICENAME4)}{$DEVICENAME4}{/if}" size="15"></td>
			{/if}
		</tr>
	  </table>
	 </div>
<p><input type="submit" value="{t}Submit{/t}"></p>
</form>
<br />

{if isset($audio_devices)}
<p>
{t}You can use up to 5 different built-in players with your VortexBox. To configure a player enter the name and select a device from the dropdown then press submit. A MAC will automatically be assigned to your player.{/t}
</p>
<p>
{t}To remove a player delete its name and press submit.{/t}
</p>
{else}
<p>
{t}You can use up to 5 different built-in players with your VortexBox. To configure a player enter the name and type in the device name, then press submit. A MAC will automatically be assigned to your player. The device for your player will depend on the hardware you have. The internal sound card is usually hw:0,0 and the first USB device is usually hw:1,0. Your devices should be listed below. This will help you determine what device to use.{/t}
</p>
<p>
{t}To remove a player delete its name and press submit.{/t}
</p>
{/if}


<p></p>
<div>
	<br>
	<b>{t}ALSA device list{/t}</b>
	<p font="Courier, monospace;">
	{$CardList}
	</p>
	<br>
	<b>{t}List of audio device ports{/t}</b>
	<p font="Courier, monospace;">
	{$CardOutputList}
	</p>
	<br>
	<br>
</div>

{include file="footer.tpl"}