{* Copyright (C) 2008 - 2019 Small Green Computer, LLC  *}
{include file="header.tpl"}

<script type="text/javascript" src="/js/ajax.js"> </script>
<script type="text/javascript" src="/js/jquery-2.1.1.min.js"></script>
<script type="text/javascript">
var auto_refresh = setInterval(
function ()
{
$('#log').load('logtail.php?action=mirrorlog');
}, 1000); 
</script>

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_d">
</b><b class="xb3 color_d"></b><b class="xb4 color_d"></b></b>
<div class="xboxcontent">
<h1 class="color_d">{t}FLAC Mirror{/t} {include file='tooltip.tpl' Name='Convert FLAC files to other formats' File='flac_mirror'}</h1>

<div>
<button onclick='window.location = "/flacmirror.php?action=StartMirror";'>{t}Start mp3 mirroring{/t}</button>
<button onclick='window.location = "/flacmirror.php?action=StartMP4Mirror";'>{t}Start ALAC mirroring{/t}</button>
<button onclick='window.location = "/flacmirror.php?action=StopMirror";'>{t}Stop mirroring{/t}</button>
<button onclick='window.location = "/logview.php?action=mirrorlog";'>{t}View full log{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to clear your log?{/t}","/flacmirror.php?action=ClearMirrorLog");'>{t}Clear log{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to DELETE all your mp3s?{/t}","/flacmirror.php?action=DelMirror");'>{t}Delete all mp3{/t}</button>

<form action="{$SCRIPT_NAME}?action=submit" method="post">
	<p><b>{t}Configure FLAC to mp3 mirroring{/t}</b></p>
	<p>{t}mp3 Quality{/t}:  
	{html_options name='MP3QUALITY' options=$mp3qualitylist selected=$CURRENTTMP3QUALITY}&nbsp;
	{include file='tooltip.tpl' Name='mp3 quality selector' File='flac_mirror_mp3_quality'}</p>
	<p>{t}Number of processes{/t}:
	{html_options name='THREADCOUNT' options=$threadcountlist selected=$CURRENTNUMTHREADS}&nbsp;
	{include file='tooltip.tpl' Name='Number of processes' File='flac_mirror_threads'}</p>
	<p>{html_checkboxes name='AUTOMP3' options=$automp3_checkbox selected=$automp3_ischecked }&nbsp;
	{include file='tooltip.tpl' Name='Enable automatic mp3 mirroring' File='flac_mirror_automp3'}</p>
	<p>{html_checkboxes name='COVERMP3' options=$covermp3_checkbox selected=$covermp3_ischecked }&nbsp;
	{include file='tooltip.tpl' Name='Enable mp3 embedded cover art' File='flac_mirror_covermp3'}</p>
	<br>

	<p><b>{t}Configure FLAC to ALAC (Apple lossless) mirroring{/t}</b></p>
	<p>{html_checkboxes name='AUTOAAC' options=$autoaac_checkbox selected=$autoaac_ischecked }&nbsp;
	{include file='tooltip.tpl' Name='Enable automatic ALAC mirroring' File='flac_mirror_autoaac'}</p>
	
	<p><b>{t}Configure FLAC to AIFF mirroring{/t}</b></p>
	<p>{html_checkboxes name='AUTOAIFF' options=$autoaiff_checkbox selected=$autoaiff_ischecked }&nbsp;</p>

	<p><input type="submit" value="{t}Submit{/t}"></p><br>
</form>
</div>

<div id="log" style="border:solid 0px #dddddd; width:675px;  height:550px; font-size:11px;
padding-left:10px; padding-right:10px; padding-top:10px; padding-bottom:20px;
margin-bottom:10px; text-align:left;">
Loading...
</div>

{include file="footer.tpl"}