{* Copyright (C) 2008 - 2019 Small Green Computer, LLC  *}
{include file="header.tpl"}

<script type="text/javascript" src="/js/ajax.js"> </script>
<script type="text/javascript" src="/js/logtailmirror.js"> </script>

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_d">
</b><b class="xb3 color_d"></b><b class="xb4 color_d"></b></b>
<div class="xboxcontent">
<h1 class="color_d">{t}MiniDLNA Server{/t} {include file='tooltip.tpl' Name='MiniDLNA server' File='dlna'}</h1>
<button onclick='window.location = "/logview.php?action=dlnalog";'>{t}View log{/t}</button>
<button onclick='window.location = "/minidlna.php?action=ClearDLNALog";'>{t}Clear log{/t}</button>
<button onclick='window.location = "/minidlna.php?action=RescanDLNA";'>{t}Rescan{/t}</button>
<button onclick='window.location = "/minidlna.php?action=ResetDefaults";'>{t}Reset to defaults{/t}</button>

<br>
<br>

<div>
  <p><b>{t}MiniDLNA server configuration{/t}</b></p>
  <form action="{$SCRIPT_NAME}?action=submit" method="post">
	<p>{t}Audio Files{/t}: <input type="text" name="AUDIOFILES" value="{$AUDIOFILES}" size="40"> {include file='tooltip.tpl' Name='Audio files location' File='dlna_audiofiles'}</p>
	<p>{t}Video Files{/t}: <input type="text" name="VIDEOFILES" value="{$VIDEOFILES}" size="40"> {include file='tooltip.tpl' Name='Video files location' File='dlna_videofiles'}</p>
	<p>{t}Pictures{/t}: <input type="text" name="PICTUREFILES" value="{$PICTUREFILES}" size="40"> {include file='tooltip.tpl' Name='Pictures location' File='dlna_picturefiles'}</p>
	<p>{t}Description{/t}: <input type="text" name="DESCRIPTION" value="{$DESCRIPTION}" size="40"> {include file='tooltip.tpl' Name='DLNA server description' File='dlna_description'}</p>
	<p><input type="submit" value="{t}Submit{/t}"> {t}Press submit to update your config and restart the DLNA server.{/t}</p>
  </form>
</div>

{include file="footer.tpl"}