{* Copyright (C) 2008 - 2019 Small Green Computer, LLC  *}
{include file="header.tpl"}

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_b">
</b><b class="xb3 color_b"></b><b class="xb4 color_b"></b></b>
<div class="xboxcontent">
<h1 class="color_b">{t}Network Configuration{/t} {include file='tooltip.tpl' Name='VortexBox networtk configuration' File='network'}</h1>

<form action="{$SCRIPT_NAME}?action=submit" method="post">
	<p>{t}System name{/t}: <input type="text" name="SYSNAME" value="{$SYSNAME}" size="20"> {include file='tooltip.tpl' Name='VortexBox Network Name' File='network_name'}</p>
	<p>{t}SMB workgroup name{/t}: <input type="text" name="WORKGROUP" value="{$WORKGROUP}" size="20"> {include file='tooltip.tpl' Name='VortexBox Workgroup' File='network_workgroup'}</p>
	<p>{t}IP address assignment{/t}: {include file='tooltip.tpl' Name='IP address assignment' File='network_dhcp'}</p><p> 
	{html_radios name='BOOTPROTO' options=$iptype_name
	 selected=$BOOTPROTO separator='<br />'}</p>
	 
<p>{t}If DHCP is selected the rest of the fields will be ignored{/t}</p>
	<div class="texttable">
	  <table>
		<tr class="odd">
			<td>{t}IP address{/t}:</td>
			<td><input type="text" name="IPADDR" value="{$IPADDR}" size="15"> {include file='tooltip.tpl' Name='IP address' File='network_ipaddress'}</td>
		</tr>
		<tr>
			<td>{t}Subnet Mask{/t}:</td>
			<td><input type="text" name="NETMASK" value="{$NETMASK}" size="15"> {include file='tooltip.tpl' Name='Subnet Mask' File='network_subnetmask'}</td>
		</tr>
		<tr class="odd">
			<td>{t}Gateway{/t}:</td>
			<td><input type="text" name="GATEWAY" value="{$GATEWAY}" size="15"> {include file='tooltip.tpl' Name='Gateway' File='network_gateway'}</td>
		</tr>
		<tr>
			<td>{t}DNS1{/t}:</td>
			<td><input type="text" name="DNS1"  value="{$DNS1}" size="15"> {include file='tooltip.tpl' Name='DNS configuration' File='network_DNS'}</td>
		</tr>
		<tr class="odd">
			<td>{t}DNS2{/t}:</td>
			<td><input type="text" name="DNS2" value="{$DNS2}" size="15"></td>
		</tr>
		<tr>
			<td>{t}DNS3{/t}:</td>
			<td><input type="text" name="DNS3" value="{$DNS3}" size="15"></td>
		</tr>
		<tr class="odd">
			<td>{t}MAC address{/t}:</td>
			<td>{$HWADDR|upper}</td>
		</tr>
	  </table>
	 </div>
<p>{t}If the IP address of your VortexBox changes you will need to reconnect to the new address.{/t}</p>
<p><input type="submit" value="{t}Submit{/t}">       {t}Your VortexBox will reboot when you hit submit!{/t}</p>
</form><p></p>

{include file="footer.tpl"}