{* Copyright (C) 2008 - 2019 Small Green Computer, LLC  *}
{include file="header.tpl"}

<script type="text/javascript" src="/js/ajax.js"> </script>
<script type="text/javascript" src="/js/jquery-2.1.1.min.js"></script>
<script type="text/javascript">
var auto_refresh = setInterval(
function ()
{
$('#log').load('logtail.php?action=upgradelog');
}, 1000); 
</script>

<div class="xsnazzy">
<b class="xtop"><b class="xb1"></b><b class="xb2 color_f">
</b><b class="xb3 color_f"></b><b class="xb4 color_f"></b></b>
<div class="xboxcontent">
<h1 class="color_f">{t}VortexBox Status{/t} {include file='tooltip.tpl' Name=' VortexBox Software Upgrade' File='upgrade'}</h1>

<div>
<button onclick='window.location = "/upgrade.php?action=Upgrade";'>{t}Start Upgrade{/t}</button>
<button onclick='window.location = "/logview.php?action=upgradelog";'>{t}View full log{/t}</button>
<button onclick='window.location = "/upgrade.php?action=ClearUpgradeLog";'>{t}Clear log{/t}</button>
<button onclick='confirmAction("{t}Are you sure you want to REBOOT your VortexBox?{/t}","/system.php?action=Reboot");'>{t}Reboot{/t}</button>
</div>

<p>{t}Package Manager{/t}:</p>
<div class="texttable">
  <table>
	{section name=list loop=$packages}
	{strip}
		<tr class="{cycle values="odd,even"}">
			<td>{$packages[list].name}</td>
			<td >{$packages[list].state}</td>
			{if isset($packages[list].URL)}
			  <td width="10"><button onclick='window.location = "{$packages[list].URL}&action=Install&package={$packages[list].shortname}";'>Install</button></td>
			{else}
			  <td width="10"><button onclick='window.location = "/upgrade.php?action=Install&package={$packages[list].shortname}";'>Install</button></td>
			{/if}
			<td width="10"><button onclick='window.location = "/upgrade.php?action=Delete&package={$packages[list].shortname}";'>Delete</button></td>
		</tr>
	{/strip}
	{/section}
  </table>
{$PrintString}
</div>

<div id="log" style="border:solid 0px #dddddd; width:675px;  height:680x; font-size:11px;
padding-left:10px; padding-right:10px; padding-top:10px; padding-bottom:20px;
margin-bottom:10px; text-align:left;">
Loading...
</div>

{include file="footer.tpl"}