<?php
// Copyright (C) 2008 - 2019 Small Green Computer, LLC
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// Changelog
//
// Thurs Jun 30 2011 Ron Olsen <ronolsen@comcast.net>
// * Add message to Upgrade page to refresh log file display.
//
require_once 'libs/setup.php';

$packages = array(
	array('name' => 'Bliss', 'shortname' => 'bliss'),
	array('name' => 'Plex Media Server', 'shortname' => 'plex'),
	array('name' => 'SuperSync', 'shortname' => 'supersync'),
	array('name' => 'Subsonic', 'shortname' => 'subsonic'),
	array('name' => 'Squeezebox Server Airplay Plugin', 'shortname' => 'shairport'),
	array('name' => 'Transmission BitTorrent client', 'shortname' => 'transmission'),
	array('name' => 'MinimServer', 'shortname' => 'minimserver', 'URL' => 'http://minimserver.com/donate-info.html?download=linux_x64_server')
);


for ($i = 0; $i < count($packages); $i++){
  if (file_exists("/etc/vortexbox/packages/".$packages[$i]['shortname'])) {
	$packages[$i]['state'] = "Installed";
  } else {
	$packages[$i]['state'] = "Not Installed";
  }
}

$PrintString .= '<br>'._('Click on the VortexBox Upgrade icon (package icon in the lower left) to update the log display.');
$_action = isset($_REQUEST['action']) ? $_REQUEST['action'] : 'default';
$_package = isset($_REQUEST['package']) ? $_REQUEST['package'] : 'default';
// Special for minimserver
if (isset($_REQUEST['downloadPath'])) { pclose(popen("echo ".'"'.$_REQUEST['downloadHost'].$_REQUEST['downloadPath'].'"'." > /var/www/html/config/download-link.txt","r")); }

//for ($i = 0; $i < count($packages); $i++){
//  if ($packages[$i]['shortname'] == $_package) {
//    $packageaction = $packages[$i]['shortname'];
//  } 
//}

switch($_action) {
	case 'Upgrade':
		pclose(popen("sudo /opt/vortexbox/doaction.sh Upgrade &","r"));
        break;
	case 'Install':
	pclose(popen("sudo /opt/vortexbox/doaction.sh Install ".$_package." &","r"));
        break;
	case 'Delete':
		pclose(popen("sudo /opt/vortexbox/doaction.sh Delete ".$_package." &","r"));
        break;		
	case 'ClearUpgradeLog':
		pclose(popen("sudo /opt/vortexbox/doaction.sh ClearUpgradeLog &","r"));
        break;
    default:
        break;   
}

$smarty->assign('packages', $packages);
$smarty->assign('PrintString', $PrintString );
$smarty->display('upgrade.tpl');

?>